MySQL++ SSQLS v2 Translator: ParseV2::ExceptionOnSchemaMismatchOption Class Reference
ParseV2::ExceptionOnSchemaMismatchOption Class Reference

'option exception_on_schema_mismatch' directive line More...

`#include <parsev2.h>`

Inheritance diagram for ParseV2::ExceptionOnSchemaMismatchOption:
[legend]
Collaboration diagram for ParseV2::ExceptionOnSchemaMismatchOption:
[legend]

## Public Member Functions

| ExceptionOnSchemaMismatchOption (const std::string &value)
| Constructor.
| operator bool () const
| Return true if our emitted C++ code is supposed to throw an exception on schema mismatches.
void | print (std::ostream &os) const
| Print the option description out to a stream in SSQLS v2 form.
Public Member Functions inherited from ParseV2::Option
virtual | ~Option ()
| Virtual dtor, since this is a base class.
Public Member Functions inherited from ParseV2::Line
virtual | ~Line ()
| Virtual dtor, since this is a base class.

## Additional Inherited Members

Static Public Member Functions inherited from ParseV2::Option
static Option * | parse (const StringList &tl, bool subdirective, const File &file)
| Attempt to create an Option object from information in the passed StringList. More...
Static Public Member Functions inherited from ParseV2::Line
static Line * | parse (const StringList &tl, bool subdirective, const File &file)
| Virtual ctor, creating one of our subclass objects based on what we're passed. More...
Protected Member Functions inherited from ParseV2::Option
| Option (const std::string &value)
| Protected ctor, so we cannot be directly instantiated. More...
const char * | value () const
| Return the option's value in string form, unmodified from the original parse. More...
Protected Member Functions inherited from ParseV2::Line
| Line ()
| Protected ctor, to prevent instantiation.
Static Protected Member Functions inherited from ParseV2::Option
static bool | parse_bool (const std::string &value)
| Convert a string expressing a boolean value to a `bool`. More...

## Detailed Description

'option exception_on_schema_mismatch' directive line

The documentation for this class was generated from the following files:

- parsev2.h
- parsev2.cpp